USRP Hardware Driver and USRP Manual: uhd::rfnoc::chdr::mgmt_hop_t Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::rfnoc::chdr::mgmt_hop_t Class Reference

A class that represents a single management hop. More...

`#include <uhd/rfnoc/chdr_types.hpp>`

## Public Member Functions
| mgmt_hop_t ()=default
| mgmt_hop_t (const mgmt_hop_t &rhs)=default
void | add_op (const mgmt_op_t &op)
| Add a management operation to this hop.
size_t | get_num_ops () const
| Get the number of management operations in this hop.
const mgmt_op_t & | get_op (size_t i) const
| Get the n'th operation in the hop.
size_t | serialize (std::vector< uint64_t > &target, const std::function< uint64_t(uint64_t)> &conv_byte_order, const size_t padding_size) const
| Serialize the payload to a uint64_t buffer.
void | deserialize (std::list< uint64_t > &src, const std::function< uint64_t(uint64_t)> &conv_byte_order, const size_t padding_size)
| Deserialize the payload from a uint64_t buffer.
bool | operator== (const mgmt_hop_t &rhs) const
| Comparison operator (==).
std::string | to_string () const
| Return a string representation of this object.

## Detailed Description

A class that represents a single management hop.

## Constructor & Destructor Documentation

## ◆ mgmt_hop_t() [1/2]

uhd::rfnoc::chdr::mgmt_hop_t::mgmt_hop_t | ( |  | ) |
| default

## ◆ mgmt_hop_t() [2/2]

uhd::rfnoc::chdr::mgmt_hop_t::mgmt_hop_t | ( | const mgmt_hop_t & | rhs | ) |
| default

## Member Function Documentation

## ◆ add_op()

void uhd::rfnoc::chdr::mgmt_hop_t::add_op | ( | const mgmt_op_t & | op | ) |
| inline

Add a management operation to this hop.

## ◆ deserialize()

void uhd::rfnoc::chdr::mgmt_hop_t::deserialize | ( | std::list< uint64_t > & | src,
|  | const std::function< uint64_t(uint64_t)> & | conv_byte_order,
|  | const size_t | padding_size )

Deserialize the payload from a uint64_t buffer.

## ◆ get_num_ops()

size_t uhd::rfnoc::chdr::mgmt_hop_t::get_num_ops | ( |  | ) | const
| inline

Get the number of management operations in this hop.

## ◆ get_op()

const mgmt_op_t & uhd::rfnoc::chdr::mgmt_hop_t::get_op | ( | size_t | i | ) | const
| inline

Get the n'th operation in the hop.

## ◆ operator==()

bool uhd::rfnoc::chdr::mgmt_hop_t::operator== | ( | const mgmt_hop_t & | rhs | ) | const
| inline

Comparison operator (==).

## ◆ serialize()

size_t uhd::rfnoc::chdr::mgmt_hop_t::serialize | ( | std::vector< uint64_t > & | target,
|  | const std::function< uint64_t(uint64_t)> & | conv_byte_order,
|  | const size_t | padding_size ) const

Serialize the payload to a uint64_t buffer.

## ◆ to_string()

std::string uhd::rfnoc::chdr::mgmt_hop_t::to_string | ( |  | ) | const

Return a string representation of this object.

The documentation for this class was generated from the following file:

- chdr_types.hpp